


import { Routes } from '@angular/router';
import { TabsPage } from "./tabs/tabs.page"

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab2',
        loadComponent: () =>
          import('../app/tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab1',
        loadComponent: () =>
          import('../app/tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../app/tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: 'juben',
        loadComponent: () =>
          import('./page-juben/page-juben.component').then((m) => m.PageJubenComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab2',
        pathMatch: 'full',
      },
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab2',
    pathMatch: 'full',
  },
];
